wxWidgets: wxAuiTabArt Class Reference

| Version: 3.0.4

Public Member Functions | List of all members
wxAuiTabArt Class Referenceabstract
Class List by Category » Window Docking (wxAUI)

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/aui/auibook.h>`

Inheritance diagram for wxAuiTabArt:
[legend]

## Detailed Description

Tab art provider defines all the drawing functions used by wxAuiNotebook.

This allows the wxAuiNotebook to have a pluggable look-and-feel.

By default, a wxAuiNotebook uses an instance of this class called wxAuiDefaultTabArt which provides bitmap art and a colour scheme that is adapted to the major platforms' look. You can either derive from that class to alter its behaviour or write a completely new tab art class.

Another example of creating a new wxAuiNotebook tab bar is wxAuiSimpleTabArt.

Call wxAuiNotebook::SetArtProvider() to make use of this new tab art.

##

Library: wxAui

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxAuiTabArt ()
| Constructor. More...
virtual wxAuiTabArt * | Clone ()=0
| Clones the art object. More...
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
| Draws a background on the given area. More...
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &in_rect, int bitmap_id, int button_state, int orientation, wxRect *out_rect)=0
| Draws a button. More...
virtual void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &page, const wxRect &rect, int close_button_state, wxRect *out_tab_rect, wxRect *out_button_rect, int *x_extent)=0
| Draws a tab. More...
virtual int | GetBestTabCtrlSize (wxWindow *, const wxAuiNotebookPageArray &, const wxSize &)=0
| Returns the tab control size. More...
virtual int | GetIndentSize ()=0
| Returns the indent size. More...
virtual wxSize | GetTabSize (wxDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmap &bitmap, bool active, int close_button_state, int *x_extent)=0
| Returns the tab size for the given caption, bitmap and state. More...
virtual void | SetFlags (unsigned int flags)=0
| Sets flags. More...
virtual void | SetMeasuringFont (const wxFont &font)=0
| Sets the font used for calculating measurements. More...
virtual void | SetNormalFont (const wxFont &font)=0
| Sets the normal font for drawing labels. More...
virtual void | SetSelectedFont (const wxFont &font)=0
| Sets the font for drawing text for selected UI elements. More...
virtual void | SetColour (const wxColour &colour)=0
| Sets the colour of the inactive tabs. More...
virtual void | SetActiveColour (const wxColour &colour)=0
| Sets the colour of the selected tab. More...
virtual void | SetSizingInfo (const wxSize &tab_ctrl_size, size_t tab_count)=0
| Sets sizing information. More...

## Constructor & Destructor Documentation

## ◆ wxAuiTabArt()

wxAuiTabArt::wxAuiTabArt | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ Clone()

virtual wxAuiTabArt* wxAuiTabArt::Clone | ( |  | ) |
| pure virtual

Clones the art object.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ DrawBackground()

virtual void wxAuiTabArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect
| ) |  |
| pure virtual

Draws a background on the given area.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ DrawButton()

virtual void wxAuiTabArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | in_rect,
|  | int | bitmap_id,
|  | int | button_state,
|  | int | orientation,
|  | wxRect * | out_rect
| ) |  |
| pure virtual

Draws a button.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ DrawTab()

virtual void wxAuiTabArt::DrawTab | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiNotebookPage & | page,
|  | const wxRect & | rect,
|  | int | close_button_state,
|  | wxRect * | out_tab_rect,
|  | wxRect * | out_button_rect,
|  | int * | x_extent
| ) |  |
| pure virtual

Draws a tab.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ GetBestTabCtrlSize()

virtual int wxAuiTabArt::GetBestTabCtrlSize | ( | wxWindow * | ,
|  | const wxAuiNotebookPageArray & | ,
|  | const wxSize & |
| ) |  |
| pure virtual

Returns the tab control size.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ GetIndentSize()

virtual int wxAuiTabArt::GetIndentSize | ( |  | ) |
| pure virtual

Returns the indent size.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ GetTabSize()

virtual wxSize wxAuiTabArt::GetTabSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxString & | caption,
|  | const wxBitmap & | bitmap,
|  | bool | active,
|  | int | close_button_state,
|  | int * | x_extent
| ) |  |
| pure virtual

Returns the tab size for the given caption, bitmap and state.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetActiveColour()

virtual void wxAuiTabArt::SetActiveColour | ( | const wxColour & | colour | ) |
| pure virtual

Sets the colour of the selected tab.

Since
  2.9.2

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetColour()

virtual void wxAuiTabArt::SetColour | ( | const wxColour & | colour | ) |
| pure virtual

Sets the colour of the inactive tabs.

Since
  2.9.2

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetFlags()

virtual void wxAuiTabArt::SetFlags | ( | unsigned int | flags | ) |
| pure virtual

Sets flags.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetMeasuringFont()

virtual void wxAuiTabArt::SetMeasuringFont | ( | const wxFont & | font | ) |
| pure virtual

Sets the font used for calculating measurements.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetNormalFont()

virtual void wxAuiTabArt::SetNormalFont | ( | const wxFont & | font | ) |
| pure virtual

Sets the normal font for drawing labels.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetSelectedFont()

virtual void wxAuiTabArt::SetSelectedFont | ( | const wxFont & | font | ) |
| pure virtual

Sets the font for drawing text for selected UI elements.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.

## ◆ SetSizingInfo()

virtual void wxAuiTabArt::SetSizingInfo | ( | const wxSize & | tab_ctrl_size,
|  | size_t | tab_count
| ) |  |
| pure virtual

Sets sizing information.

Implemented in wxAuiSimpleTabArt, and wxAuiDefaultTabArt.